/*==================================================
ANIMATION & TRANSITION
==================================================*/

/* GLOBAL */

a,
button{

    transition:.35s ease;

}

/*==================================================
NAVBAR
==================================================*/

.menu a{

    transition:.3s;

}

.menu a:hover{

    color:var(--primary);

}

.menu a::after{

    transition:.35s;

}

.nav-login{

    transition:.35s;

}

.nav-login:hover{

    color:#FFF2A0;

    transform:translateX(6px);

}

.nav-login::before{

    transition:.35s;

}

/*==================================================
HERO
==================================================*/

.hero-buttons a{

    transition:.35s;

}

.btn-link-primary:hover{

    color:#53D2FF;

    transform:translateX(8px);

}

.btn-link-secondary:hover{

    color:var(--primary);

    transform:translateX(8px);

}

/*==================================================
CARD
==================================================*/

.hero-card{

    transition:.4s;

}

.hero-card:hover{

    transform:translateY(-8px);

    box-shadow:
        0 30px 70px rgba(0,0,0,.45);

}

/*==================================================
ECOSYSTEM
==================================================*/

.ecosystem-item{

    transition:.35s;

}

.ecosystem-item:hover{

    transform:translateY(-6px);

}

.ecosystem-item h3{

    transition:.35s;

}

.ecosystem-item:hover h3{

    color:var(--primary);

}

.ecosystem-item::after{

    transition:.35s;

}

/*==================================================
CONTACT
==================================================*/

.contact-box>div{

    transition:.35s;

}

/*==================================================
FOOTER
==================================================*/

.footer-menu a{

    transition:.3s;

}

@keyframes laserMove{

    0%{

        transform:
            rotate(0deg)
            translateX(-30%);

    }

    100%{

        transform:
            rotate(360deg)
            translateX(30%);

    }

}

.hero-card:hover{

    transform:translateY(-8px);

    box-shadow:

        0 0 25px rgba(0,191,255,.35),

        0 0 60px rgba(0,191,255,.18),

        0 0 120px rgba(168,85,247,.15);

}